# IRremoteESP8266: src/ir_Trotec.h File Reference

ir_Trotec.h File Reference

Support for Trotec protocols. More...

Go to the source code of this file.

## Classes

class | IRTrotecESP
| Class for handling detailed Trotec A/C messages. More...

## Variables

const uint8_t | kTrotecIntro1 = 0x12
const uint8_t | kTrotecIntro2 = 0x34
const uint8_t | kTrotecModeOffset = 0
const uint8_t | kTrotecModeSize = 2
const uint8_t | kTrotecAuto = 0
const uint8_t | kTrotecCool = 1
const uint8_t | kTrotecDry = 2
const uint8_t | kTrotecFan = 3
const uint8_t | kTrotecPowerBitOffset = 3
const uint8_t | kTrotecFanOffset = 4
const uint8_t | kTrotecFanSize = 2
const uint8_t | kTrotecFanLow = 1
const uint8_t | kTrotecFanMed = 2
const uint8_t | kTrotecFanHigh = 3
const uint8_t | kTrotecTempOffset = 0
const uint8_t | kTrotecTempSize = 4
const uint8_t | kTrotecMinTemp = 18
const uint8_t | kTrotecDefTemp = 25
const uint8_t | kTrotecMaxTemp = 32
const uint8_t | kTrotecSleepBitOffset = 7
const uint8_t | kTrotecTimerBitOffset = 6
const uint8_t | kTrotecMaxTimer = 23

## Detailed Description

Support for Trotec protocols.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/pull/279
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1176

## Variable Documentation

## kTrotecAuto

const uint8_t kTrotecAuto = 0

## kTrotecCool

const uint8_t kTrotecCool = 1

## kTrotecDefTemp

const uint8_t kTrotecDefTemp = 25

## kTrotecDry

const uint8_t kTrotecDry = 2

## kTrotecFan

const uint8_t kTrotecFan = 3

## kTrotecFanHigh

const uint8_t kTrotecFanHigh = 3

## kTrotecFanLow

const uint8_t kTrotecFanLow = 1

## kTrotecFanMed

const uint8_t kTrotecFanMed = 2

## kTrotecFanOffset

const uint8_t kTrotecFanOffset = 4

## kTrotecFanSize

const uint8_t kTrotecFanSize = 2

## kTrotecIntro1

const uint8_t kTrotecIntro1 = 0x12

## kTrotecIntro2

const uint8_t kTrotecIntro2 = 0x34

## kTrotecMaxTemp

const uint8_t kTrotecMaxTemp = 32

## kTrotecMaxTimer

const uint8_t kTrotecMaxTimer = 23

## kTrotecMinTemp

const uint8_t kTrotecMinTemp = 18

## kTrotecModeOffset

const uint8_t kTrotecModeOffset = 0

## kTrotecModeSize

const uint8_t kTrotecModeSize = 2

## kTrotecPowerBitOffset

const uint8_t kTrotecPowerBitOffset = 3

## kTrotecSleepBitOffset

const uint8_t kTrotecSleepBitOffset = 7

## kTrotecTempOffset

const uint8_t kTrotecTempOffset = 0

## kTrotecTempSize

const uint8_t kTrotecTempSize = 4

## kTrotecTimerBitOffset

const uint8_t kTrotecTimerBitOffset = 6